CacheRetrieveMode
Date: 2016-06-24

javax.persistence

## Enum CacheRetrieveMode

- java.lang.Object
- - java.lang.Enum<CacheRetrieveMode>
  - - javax.persistence.CacheRetrieveMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CacheRetrieveMode>

      public enum CacheRetrieveMode
      extends java.lang.Enum<CacheRetrieveMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BYPASS`
    `USE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CacheRetrieveMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CacheRetrieveMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USE

          public static final CacheRetrieveMode USE

    - #### BYPASS

          public static final CacheRetrieveMode BYPASS

  - ### Method Detail

    - #### values

          public static CacheRetrieveMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CacheRetrieveMode c : CacheRetrieveMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CacheRetrieveMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null